Aracılığıyla paylaş


Configuration Names - List

Tüm hedef, istemci türleri, kimlik doğrulama türleri için Hizmet Bağlayıcısı tarafından oluşturulan yapılandırma adlarını listeler.

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview
GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview&$filter={$filter}&$skipToken={$skipToken}

URI Parametreleri

Name İçinde Gerekli Tür Description
api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

$filter
query

string

OData filtre seçenekleri.

$skipToken
query

string

Sayfalandırma için OData skipToken seçeneği.

Yanıtlar

Name Tür Description
200 OK

ConfigurationNameResult

TAMAM. İstek başarılı oldu.

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

GetConfigurationNames

Örnek isteği

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview

Örnek yanıt

{
  "value": [
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "systemAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for the token."
          }
        ]
      }
    },
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "userAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_CLIENTID",
            "description": "The client(application) ID of the user identity."
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for getting token."
          }
        ]
      }
    }
  ],
  "nextLink": null
}

Tanımlar

Name Description
AuthType

Kimlik doğrulama türü.

clientType

Uygulama istemci türü

ConfigurationName

Yapılandırma adları.

ConfigurationNameItem
ConfigurationNameResult

Farklı hedef kaynağa, istemci türüne, kimlik doğrulama türüne göre ayarlanacak Yapılandırma Adı listesi.

DaprMetadata

dapr bileşeni meta verileri.

DaprProperties

Dapr istemci türü için bazı ek özellikleri gösterir

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

AuthType

Kimlik doğrulama türü.

Değer Description
systemAssignedIdentity
userAssignedIdentity
servicePrincipalSecret
servicePrincipalCertificate
secret
accessKey
userAccount

clientType

Uygulama istemci türü

Değer Description
none
dotnet
java
python
go
php
ruby
django
nodejs
springBoot
kafka-springBoot
dapr

ConfigurationName

Yapılandırma adları.

Name Tür Description
description

string

Yapılandırma adı için açıklama.

required

boolean

Yapılandırmanın gerekli olup olmadığını temsil etme

value

string

ConfigurationNameItem

Name Tür Description
properties.authType

AuthType

Kimlik doğrulaması türü.

properties.clientType

clientType

Yapılandırma adları için istemci türü.

properties.daprProperties

DaprProperties

Dapr istemci türü için bazı ek özellikleri gösterir

properties.names

ConfigurationName[]

İşlem hizmeti ortamında ayarlanacak yapılandırma adları.

properties.targetService

string

Hedef hizmet sağlayıcısı adı ve kaynak adı.

ConfigurationNameResult

Farklı hedef kaynağa, istemci türüne, kimlik doğrulama türüne göre ayarlanacak Yapılandırma Adı listesi.

Name Tür Description
nextLink

string

Sonraki kaynak sayfasına bağlanın.

value

ConfigurationNameItem[]

Her hedef hizmet için beklenen yapılandırma adları.

DaprMetadata

dapr bileşeni meta verileri.

Name Tür Description
name

string

Meta veri özellik adı.

secretRef

string

Dapr'ın değer alabildiği gizli dizi adı

value

string

Meta veri özellik değeri.

DaprProperties

Dapr istemci türü için bazı ek özellikleri gösterir

Name Tür Description
componentType

string

Dapr bileşen türü

metadata

DaprMetadata[]

Ek dapr meta verileri

scopes

string[]

dapr bileşen kapsamları

secretStoreComponent

string

Gizli dizi alınacak gizli dizi deposunun adı

version

string

Dapr bileşeni sürümü

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.